package com.fjhx.oa.service.netdisk;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.netdisk.dto.NetdiskDto;
import com.fjhx.oa.entity.netdisk.dto.NetdiskSelectDto;
import com.fjhx.oa.entity.netdisk.po.Netdisk;
import com.fjhx.oa.entity.netdisk.vo.NetdiskVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 网盘 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface NetdiskService extends BaseService<Netdisk> {

    /**
     * 网盘分页
     */
    Page<NetdiskVo> getPage(NetdiskSelectDto dto);

    List<NetdiskVo> tree();

    /**
     * 递归文件夹获取文件夹下的所有文件以及子文件夹下的文件
     */
    List<NetdiskVo> getFileList(NetdiskDto dto);

    /**
     * 网盘明细
     */
    NetdiskVo detail(Long id);

    /**
     * 网盘新增
     */
    void add(NetdiskDto netdiskDto);

    /**
     * 网盘编辑
     */
    void edit(NetdiskDto netdiskDto);

    /**
     * 网盘删除
     */
    void delete(List<Long> ids);

}
